

mm/memory.c: In function `clear_page_range':
mm/memory.c:185: warning: suggest parentheses around + or - inside shift

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-alpha-akpm/include/asm-alpha/pgtable.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-alpha/pgtable.h~alpha-pgd_index-warning-fix include/asm-alpha/pgtable.h
--- 25-alpha/include/asm-alpha/pgtable.h~alpha-pgd_index-warning-fix	2005-01-28 23:27:24.053368112 -0800
+++ 25-alpha-akpm/include/asm-alpha/pgtable.h	2005-01-28 23:27:38.873115168 -0800
@@ -275,7 +275,7 @@ extern inline pte_t pte_mkyoung(pte_t pt
 #define pgd_offset_k(address) pgd_offset(&init_mm, address)
 
 /* to find an entry in a page-table-directory. */
-#define pgd_index(address)	((address >> PGDIR_SHIFT) & (PTRS_PER_PGD - 1))
+#define pgd_index(address)	(((address) >> PGDIR_SHIFT) & (PTRS_PER_PGD-1))
 #define pgd_offset(mm, address)	((mm)->pgd+pgd_index(address))
 
 /* Find an entry in the second-level page table.. */
_
